<form [formGroup]="myform">
  <div>
    Phone : <input formControlName="phoneNo">
  </div>
  <div>
    Email : <input formControlName="email">
    <span style="color: red;" *ngIf="myform.get('email')?.errors?.['email']">Email format is invalid</span>
  </div>
  <div>
    Password : <input type="password" formControlName="password">
    <span style="color: red;" *ngIf="myform.get('password')?.errors?.['required']">Password Required</span>
    <span style="color: red;" *ngIf="myform.hasError('minlength', 'password')">Password must be {{myform.get('password')?.errors?.['minlength'].requiredLength}} characters long, we need another...{{myform.get('password')?.errors?.['minlength'].requiredLength - myform.get('password')?.errors?.['minlength'].actualLength}}... characters</span>
  </div>
  <div>
    Confirm Password : <input type="password" formControlName="confirmPassword">
    <span style="color: red;" *ngIf="myform.get('confirmPassword')?.errors?.['required']">Confirm Password Required</span>
  </div>
  <button [disabled]="myform.invalid" (click)="submitForm()">SUBMIT</button>
</form>
<p>
  Form Data Below
</p>
<code>{{myform.value | json}}</code>
<pre>{{ myform.valid }}</pre>
